Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Interface Streamable

All Known Subinterfaces:
  Triplet

All Known Implementing Classes:
  AbstractAFPObject, AbstractDataObject, AbstractDescriptor, AbstractEnvironmentGroup, AbstractGraphicsCoord, AbstractGraphicsDrawingOrder, AbstractGraphicsDrawingOrderContainer, AbstractNamedAFPObject, AbstractPageObject, AbstractResourceEnvironmentGroupContainer, AbstractResourceGroupContainer, AbstractStructuredObject, AbstractTriplet, AbstractTripletStructuredObject, ActiveEnvironmentGroup, ActiveEnvironmentGroup.FontFullyQualifiedNameTriplet, AFPStreamer, AttributeQualifierTriplet, AttributeValueTriplet, BandImage, CommentTriplet, ContainerDataDescriptor, DescriptorPositionTriplet, Document, EncodingTriplet, ExtendedResourceLocalIdentifierTriplet, FullyQualifiedNameTriplet, GraphicsAreaBegin, GraphicsAreaEnd, GraphicsBox, GraphicsChainedSegment, GraphicsCharacterString, GraphicsData, GraphicsDataDescriptor, GraphicsEndProlog, GraphicsFillet, GraphicsFullArc, GraphicsImage, GraphicsLine, GraphicsObject, GraphicsSetArcParameters, GraphicsSetCharacterSet, GraphicsSetCurrentPosition, GraphicsSetFractionalLineWidth, GraphicsSetLineType, GraphicsSetLineWidth, GraphicsSetMix, GraphicsSetPatternSymbol, GraphicsSetProcessColor, IDEStructureParameter, ImageCellPosition, ImageContent, ImageDataDescriptor, ImageInputDescriptor, ImageObject, ImageOutputControl, ImageRasterData, ImageSegment, ImageSizeParameter, IMImageObject, IncludedResourceObject, IncludeObject, IncludePageOverlay, IncludePageSegment, InvokeMediumMap, MapCodedFont, MapContainerData, MapDataResource, MapImageObject, MapPageOverlay, MapPageSegment, MappingOptionTriplet, MeasurementUnitsTriplet, NoOperation, ObjectAreaDescriptor, ObjectAreaPosition, ObjectAreaSizeTriplet, ObjectByteExtentTriplet, ObjectClassificationTriplet, ObjectContainer, ObjectEnvironmentGroup, Overlay, PageDescriptor, PageGroup, PageObject, PageSegment, PreprocessPresentationObject, PresentationEnvironmentControl, PresentationSpaceMixingRulesTriplet, PresentationSpaceResetMixingTriplet, PresentationTextData, PresentationTextDescriptor, PresentationTextObject, ResourceEnvironmentGroup, ResourceGroup, ResourceObject, ResourceObjectTypeTriplet, StreamedResourceGroup, TagLogicalElement, Tile, TilePosition, TileSize, TileTOC

    public interface Streamable

Implementing object is able to write to an OutputStream

Method Summary
`void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Method Detail

### writeToStream

    void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.